package com.siginfo.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.siginfo.dao.AdminDao;

@Service
@Transactional(rollbackFor = {Exception.class})
public class AdminService {
	
	@Autowired
	private AdminDao adminDao;
	
	public List<Map<String,Object>> list(Map<String, Object> paramMap) throws Exception {
		return adminDao.list(paramMap);
	}
	
	public String selectOne(Map<String, Object> paramMap) throws Exception {
		return adminDao.selectOne(paramMap);
	}
	
	public void update(Map<String, Object> paramMap) throws Exception {
		adminDao.update(paramMap);
	}
}
